"use strict";

import * as Expo from '@expo/config-plugins';
export const withFilePreviewTurbo = (config, props) => {
  const plugins = [];
  const {
    platforms = []
  } = config;
  const withAndroidManifest = config => Expo.withAndroidManifest(config, config => {
    config.modResults.manifest.queries.push({
      intent: [{
        action: [{
          $: {
            'android:name': 'android.intent.action.VIEW'
          }
        }],
        data: props.mimeTypes.map(mimeType => ({
          $: {
            'android:mimeType': mimeType
          }
        }))
      }]
    });
    return config;
  });
  if (platforms.includes('android')) {
    plugins.push(withAndroidManifest);
  }
  return Expo.withPlugins(config, plugins.map(plugin => [plugin, props]));
};
//# sourceMappingURL=expo.js.map